Bug 1844136 - kube-proxy deployment does not include any memory/cpu requests
Summary: kube-proxy deployment does not include any memory/cpu requests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Alexander Constantinescu
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1825019
Blocks: 1844135
TreeView+ depends on / blocked
 
Reported: 2020-06-04 17:18 UTC by OpenShift BugZilla Robot
Modified: 2020-06-23 00:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-23 00:57:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 659 None closed [release-4.4] Bug 1844136: Setting resource request for kube-proxy deployment 2020-07-23 15:52:19 UTC
Red Hat Product Errata RHBA-2020:2580 None None None 2020-06-23 00:58:09 UTC

Comment 3 zhaozhanqi 2020-06-12 05:24:24 UTC
Verified this bug on 4.4.0-0.nightly-2020-06-11-223326

#oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-06-11-223326   True        False         68m     Cluster version is 4.4.0-0.nightly-2020-06-11-223326

#oc get pod openshift-kube-proxy-598rd  -o jsonpath='{ .status.qosClass }' -n openshift-kube-proxy
Burstable

Comment 5 errata-xmlrpc 2020-06-23 00:57:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2580


Note You need to log in before you can comment on or make changes to this bug.